<?php
	session_start();
	if($_SESSION['did'])
	{
		$userid=$_SESSION['did'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		    date_default_timezone_set("asia/Kolkata");
			$datetime= Date("Y-m-d - h:i:s A");
			$time= Date("h:i:s A");
			$date= Date("Y-m-d");
		
		$query8="select * from wallet where Userid=$userid order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
		
?>
<html>
<title>Account Report</title>
<head>
<style>
body{background:url('bg.jpg'); background-size:cover;
width:100%; height:700px; margin:0px;}

.head{background:; width:1350px; height:100px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420; font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040; font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420; margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
	
.menu{background:#996420; height:40px; width:1300px; margin:0 0 0 20px; padding:0;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #bal:hover{background:#996420; cursor:text;}
 

 #heading{margin-left:20px;}
 .search{width:1300px; margin:10 0 0 20px; height:60px; line-height:60px;}
  .rechhistoryhead{width:1300px; background:#996420; color:white; height:40px;
 margin:0  0 0 20px; line-height:40px;}
 .rechhistoryhead p{margin-left:10px;}
 .rechreport{ margin:0;}
#t1{ width:1300px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri; font-size:18px;}
#t1 tr:nth-child(odd){}
 #red{background:#f8c4c8;}
 #white{background:#e6fbea;}
.foot{margin:50px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2"><?php echo"Balance : ". $currentbal;  ?></p>
	</div>
	<div class="menu">
	    <?php include'menu.php'; ?> 
	</div>
		<h3 id="heading">Account Reports<h3><hr>
	<div class="search">
	<form method="post">
	Search By Date: <input type="date" name="fdate" value="<?php echo $date; ?>">
		 <input type="submit" name="submit">
	</form>
	</div>
	<div class="search">
	<form method="post">
	Search By Retailer: <input type="number" name="retelr" placeholder="Enter Userid.." >
	From Date : <input type="date" name="fdate" value="<?php echo $date; ?>">
	To Date : <input type="date" name="ldate" value="<?php echo $date; ?>">
		 <input type="submit" name="submit2">
	</form>
	</div>
	
	<div class="rechhistoryhead">
		<p>Transaction Reports</p>
	</div>
	
	<div class="rechreport">
	
		<?php
		include'connection.php';
		
		echo "<table width='100%' border='1' id='t1' cellpadding='5'>";
				echo "<tr>";
					echo "<th>Date | Time</th>";
					echo "<th>Pay&Rech. Id</th>";
					echo "<th>Transaction for User</th>";
					echo "<th>Transaction Type</th>";
					echo "<th>Remarks</th>";
					echo "<th>Opening Bal.</th>";
					echo "<th>Credit</th>";
					echo "<th>Debit</th>";
					echo "<th>Closing Bal.</th>";
				echo "</tr>";

		if(isset($_POST['submit2']))
		{
			$RetId=$_POST['retelr'];
			$fdate=$_POST['fdate'];
			$ldate=$_POST['ldate'];
			
			$quGetRetRep="select * from wallet where Userid='$userid' and Date>='$fdate' and Date<='$ldate' and Paymentto='$RetId' or Userid='$userid' and Date>='$fdate' and Date<='$ldate' and Paymentfrom='$RetId'";
			$reGetRetRep=mysqli_query($con,$quGetRetRep);
			while($GetRetRep=mysqli_fetch_array($reGetRetRep))
			{
				if($GetRetRep['Status']=='Failed')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
				echo "<tr id='$bgcolor'>";
					echo "<td>".$GetRetRep['Date']." | ".$GetRetRep['Time']."</td>";
					echo "<td>".$GetRetRep['Paynrechid']."</td>";
					echo "<td>".$GetRetRep['Payfromname'].$GetRetRep['Paytoname'].'( '.$GetRetRep['Paymentfrom'].$GetRetRep['Paymentto'].' )'."</td>";
					echo "<td>".$GetRetRep['Transactiontype']."</td>";
					echo "<td>".$GetRetRep['Remarks']."</td>";
					echo "<td>".$GetRetRep['Openingbalance']."</td>";
					echo "<td id='creditbg'>".$GetRetRep['Credit']."</td>";
					echo "<td id='debitbg'>".$GetRetRep['Debit']."</td>";
					echo "<td>".$GetRetRep['Balance']."</td>";
				echo "</tr>";
				
				
			}
			
		}
		else
		{
		
		if(isset($_POST['submit']))
		{
			$fdate=$_POST['fdate'];
			
			$getrechhistq="select * from wallet where Userid='$userid' and Date='$fdate'";
			$resultgetrechhid=mysqli_query($con,$getrechhistq);
			while($row=mysqli_fetch_array($resultgetrechhid))
			{
				if($row['Status']=='Failed')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
				echo "<tr id='$bgcolor'>";
					echo "<td>".$row['Date']." | ".$row['Time']."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$row['Payfromname'].$row['Paytoname'].' ( '.$row['Paymentfrom'].$row['Paymentto'].' )'."</td>";
					echo "<td>".$row['Transactiontype']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td>".$row['Openingbalance']."</td>";
					echo "<td id='creditbg'>".$row['Credit']."</td>";
					echo "<td id='debitbg'>".$row['Debit']."</td>";
					echo "<td>".$row['Balance']."</td>";
				echo "</tr>";
				
				
			}
			
		}
		else
		{
			$getrechhistq="select * from wallet where Userid='$userid' order by Id desc limit 20";
			$resultgetrechhid=mysqli_query($con,$getrechhistq);
			while($row=mysqli_fetch_array($resultgetrechhid))
			{
				if($row['Status']=='Failed')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
				$name1=$row['Payfromname'];
				$id1=$row['Paymentfrom'];
				$name2=$row['Paytoname'];
				$id2=$row['Paymentto'];
				echo "<tr id='$bgcolor'>";
					echo "<td>".$row['Date']." | ".$row['Time']."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$name1. $name2.' ( '. $id1.$id2.' )'."</td>";
					echo "<td>".$row['Transactiontype']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td>".$row['Openingbalance']."</td>";
					echo "<td id='creditbg'>".$row['Credit']."</td>";
					echo "<td id='debitbg'>".$row['Debit']."</td>";
					echo "<td>".$row['Balance']."</td>";
						
				echo "</tr>";
			}
			
		}

		}
		echo "</table>";
		?>
	</div>
	<div class="foot">
		<p style="text-align:center;">Copyright &copy; 2018 -2019 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>